# -*- encoding: utf-8 -*-

from .element import element


class input_element(element):

    templates = {
        'element': '\\input{{{filename}}}'
    }

    def __init__(self, filename, parent=None):
        super().__init__(parent)
        self.filename = filename.replace('.tex', '')

    def content(self):
        return self.fmt().format('element', {
            'filename': self.filename
        })
