# -*- encoding: utf-8 -*-

from .axis import axis


class semilogyaxis(axis):
    """ Class representing an axis. """

    templates = {
        'options': '[{content}]',
        'legends': '\\legend{{{content}}}',
        'content': """\\begin{{semilogyaxis}}{options}
{inner}
{legend}
\\end{{semilogyaxis}}"""
    }

    def __init__(self, *args, **kargs):
        super().__init__(*args, **kargs)


class semilogxaxis(axis):
    """ Class representing an axis. """

    templates = {
        'options': '[{content}]',
        'legends': '\\legend{{{content}}}',
        'content': """\\begin{{semilogxaxis}}{options}
{inner}
{legend}
\\end{{semilogxaxis}}"""
    }

    def __init__(self, *args, **kargs):
        super().__init__(*args, **kargs)
