# -*- encoding: utf-8

from ..element import element


class tikzpicture(element):
    """ Class representing a latex tikzfigure. """

    templates = {
        'content': """\\begin{{tikzpicture}}
{inner}
\\end{{tikzpicture}}"""
    }

    def __init__(self, childrens=None, parent=None, label=None):
        super().__init__(parent, childrens, label=label)

    def content(self):
        return self.fmt().format('content', {
            'inner': super().content()
        })
